<?php
//
$SYS_FOC="Tip";//Primer control en recibir el focus
//
$Tip=V($_POST['Tip']);
$Des=V($_POST['Des']);
$Hab=V($_POST['Hab']);
$Foto = V($_FILES['Foto']['name']);
//
$LIMPIAR=0;
//
//ACTIVAR DESDE OTRA PAGINA
if(strlen($StrId)==0){
	$StrId=V($_GET['Id']);
	if(is_numeric($StrId)==false){
		$StrId="";
	}else{
		$StrCmd="AR";
		$LStrPag=V($_GET['Pag']);
		if(!is_numeric($LStrPag)){
			$LStrPag="";
		}
	}
}
//FUNCION PARA ACTIVAR UN REGISTRO
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("vis_web_contenidos","ID=$Id");
	$Tip=$r['TIP_NOM'];
	$Des=$r['TIT'];
	$Hab=$r['HAB'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
	$Tip_=gn("id_ban","web_banners","ban_nom='$Tip'");
}
//
function ImgG($Nom){
	$Fot=$_FILES[$Nom]['name'];
	if(strlen($Fot)>0){
		$FN="ban_".time().".jpg";
		$FX="banners/".$FN;
		//
		if(file_exists($FX)){
			unlink($FX);
		}
		if(move_uploaded_file($_FILES[$Nom]['tmp_name'], $FX)){
			return $FN;
		}else{
			return "";
		}
	}
}
//
if($StrCmd=="G"){
	$FILE="";
	$Id=GenId("id_con","web_contenidos");
	$s="INSERT INTO web_contenidos 
		VALUES ($Id,$Tip_,'$FILE','$Des','$Hab')";
	ejt($s);
	//
	if(strlen($Foto)>0){
		$FN=ImgG("Foto");
		if(strlen($FN)>0){
			$s="UPDATE web_contenidos 
				SET con_archivo='$FN' 
				WHERE id_con=$Id";
			ejt($s);
		}
	}
	//			
	$SYS_MSG="Datos registrados";
	$SYS_FOC="Tip";
	$LIMPIAR=1;
}
//
if($StrCmd=="M"){
	$FILE="";		
	$s="UPDATE web_contenidos 
		SET con_id_ban=$Tip_,con_tit='$Des',con_hab='$Hab' 
		WHERE id_con=$StrId";
	ejt($s);
	//
	if(strlen($Foto)>0){
		$FN=ImgG("Foto");
		if(strlen($FN)>0){
			$s="UPDATE web_contenidos 
				SET con_archivo='$FN' 
				WHERE id_con=$StrId";
			ejt($s);
		}
	}
	//			
	$SYS_MSG="Datos actualizados";
	$SYS_FOC="Tip";
	$LIMPIAR=1;
}
//
if($StrCmd=="E"){		
	$FN=gs("con_archivo","web_contenidos","id_con=$StrId");
	if(strlen($FN)>0){
		$FX="banners/".$FN;
		if(file_exists($FX)){
			unlink($FN);
		}
	}
	$s="DELETE FROM web_contenidos WHERE id_con=$StrId";
	ejt($s);
	$SYS_MSG="Datos eliminados";
	$SYS_FOC="Tip";
	$LIMPIAR=1;	
}
//
if($StrCmd=="EF"){
	$FActual=ImgA("fotos/pro".$StrId);
	ImgE($FActual);
}	
//
if($LIMPIAR==1){
	$StrId="";
	$Tip="";
	$Des="";
	$Hab="";
}
?>
